| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GLSurfaceDesc Struct Reference

GL surface descriptor. More...

`#include <OgreGLRenderTexture.h>`

## Public Member Functions
| GLSurfaceDesc ()

## Public Attributes
GLHardwarePixelBufferCommon * | buffer
uint | numSamples
uint32 | zoffset

## Detailed Description

GL surface descriptor.

Points to a 2D surface that can be rendered to.

## Constructor & Destructor Documentation

## ◆ GLSurfaceDesc()

Ogre::GLSurfaceDesc::GLSurfaceDesc | ( |  | ) |
| inline

## Member Data Documentation

## ◆ buffer

GLHardwarePixelBufferCommon* Ogre::GLSurfaceDesc::buffer

## ◆ zoffset

uint32 Ogre::GLSurfaceDesc::zoffset

## ◆ numSamples

uint Ogre::GLSurfaceDesc::numSamples

The documentation for this struct was generated from the following file:

- OgreGLRenderTexture.h